### Method

# GtkSource Region to_string

#### Declaration [src]

    gchar*
    gtk_source_region_to_string (
      GtkSourceRegion* region
    )

#### Description [src]

Gets a string represention of `region`, for debugging purposes.

The returned string contains the character offsets of the subregions. It doesn’t include a newline character at the end of the string.

#### Return value

Type: `gchar*`

A string represention of `region`. Free with `g_free()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.